body{
    background-color: aliceblue;
}

@font-face{
    font-family: myFont;
    src: url(/css/fonts/DESIGNER.otf);
}

@font-face{
    font-family: myFont2;
    src: url(/css/fonts/ModerniseDemoItalic.ttf);
}


#top-con {
    background-color: lightgrey;
    /* background: rgb(238,174,202); */
    /* background: linear-gradient(212deg, rgb(218, 183, 198) 0%, rgba(148,187,233,1) 100%); */
    background-size: cover; /* Resmi container'a sığdırır, taşan kısımları kırpar */
    background-position: center; /* Resmi dikey ve yatay olarak ortalar */
    background-repeat: no-repeat; /* Resmin tekrar etmesini engeller */
    height: 100vh; /* Container'ın yüksekliğini tam ekran yapar */
    width: 100%; /* Container'ın genişliğini tam ekran yapar */
}

#top-con h1 {
    font-family: myFont;
    background: linear-gradient(black 0%, grey 100%);
    background-clip: text;
    -webkit-background-clip: text;
    font-size: 100px;
    color: transparent;
}

#top-con img {
    width: 600px;
    border: 2px solid lightgrey;
    border-radius: 10px;
    margin-left: 0px;
    margin-bottom: 5px;

}



#top-con #right-col {
    display: flex;
    background-color: black;
    justify-content: center;
    align-items: center;
    color: lightgrey;
    font-family: myFont;
}

#top-con #right-col h2{
    font-size: 90px;
}

#hblock {
    display: flex;
    align-items: center;
    justify-content: left;
    margin-left: 10%;
}

#hblock img{
    max-width: 10%;
    border: none;
    margin-right: 20px;

}

#top-con #left-col {
    display: flex;
    flex-direction: column; /* İçeriği dikey olarak sırala */
    justify-content: center; /* Dikeyde ortala */
    align-items: center; /* Yatayda ortala */
    height: 100vh; /* Column'un yüksekliğini tam ekran yap */
    font-family: myFont2;
    color: black;
}

#top-con #left-col h2{
    font-size: 70px;
}

#top-con #left-col a {
    font-family: myFont;
    border: 1px solid black;
    border-radius: 1px;
    scale: 1.5;
    margin-left: 90px;
    border-top: none;
    border-bottom: none;
}

#top-con #left-col a:hover {
    color: aliceblue;
}
.image-container {
    margin-left: 50px;
    margin-top: 30px;
}

.button-container {
    margin-right: 40px;
}

#mid-pic {
    margin-left: 200px;
}


/* Mobil cihazlar için (576px'den küçük ekranlar) */
@media (max-width: 575.98px) {
    body {
        overflow-y: hidden;
    }
    
    #mid-pic {
        margin: 0;
    }
    .row {
        flex-wrap: wrap;
    }
    .button-container {
        display: block;
        margin-right: 0px;
    }
    #top-con #left-col a {
        font-family: myFont;
        border: 1px solid black;
        border-radius: 1px;
        scale: 1;
        margin-left: 00px;
        border-top: none;
        border-bottom: none; 
    }
    #top-con h1 {
  
        font-size: 80px;

    }
    .image-container {
        margin-left: 20px;
        margin-right: 40px;
    }
    
    
  }
  
  /* Tablet cihazlar için (576px - 991.98px arası) */
  @media (min-width: 576px) and (max-width: 991.98px) {
    body {
      font-size: 16px;
    }
    .navbar {
      flex-direction: row;
    }
  }
  
  /* Masaüstü cihazlar için (992px ve üzeri) */
  @media (min-width: 992px) {
    body {
      font-size: 18px;
    }
  }